Skip to main content
GET
/
v1
/
workflows
/
edges
/
{edge_id}
from retab import Retab

client = Retab()

edge = client.workflows.edges.get(
    "edge-1",
)

print(f"{edge.source_block}/{edge.source_handle} -> {edge.target_block}/{edge.target_handle}")
{
  "id": "edge-1",
  "workflow_id": "wf_abc123xyz",
  "source_block": "start-1",
  "target_block": "extract-1",
  "source_handle": "output-file-0",
  "target_handle": "input-file-0",
  "updated_at": "2026-04-30T17:00:00Z"
}
Get a single edge by ID.
from retab import Retab

client = Retab()

edge = client.workflows.edges.get(
    "edge-1",
)

print(f"{edge.source_block}/{edge.source_handle} -> {edge.target_block}/{edge.target_handle}")
{
  "id": "edge-1",
  "workflow_id": "wf_abc123xyz",
  "source_block": "start-1",
  "target_block": "extract-1",
  "source_handle": "output-file-0",
  "target_handle": "input-file-0",
  "updated_at": "2026-04-30T17:00:00Z"
}

Authorizations

Api-Key
string
header
required

Path Parameters

edge_id
string
required

Response

Successful Response

Public live workflow edge object.

id
string
required
workflow_id
string
required

Foreign key to workflow

source_block
string
required

ID of the source block

target_block
string
required

ID of the target block

updated_at
string<date-time>
required
source_handle
string | null

Output handle on source block

target_handle
string | null

Input handle on target block